Upstream information

CVE-2014-9622 at MITRE

Description

Eval injection vulnerability in xdg-utils 1.1.0 RC1, when no supported desktop environment is identified, allows context-dependent attackers to execute arbitrary code via the URL argument to xdg-open.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 913676 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • xdg-utils >= 20140630-5.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-68
SUSE Linux Enterprise Desktop 12 SP1
  • xdg-utils >= 20140630-5.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA xdg-utils
SUSE Linux Enterprise Desktop 12 SP2
  • xdg-utils >= 20140630-5.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA xdg-utils
SUSE Linux Enterprise Desktop 12 SP3
  • xdg-utils >= 20140630-5.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA xdg-utils
SUSE Linux Enterprise Server 12
  • xdg-utils >= 20140630-5.1
Patchnames:
SUSE-SLE-SERVER-12-2015-68
SUSE Linux Enterprise Server 12 SP1
  • xdg-utils >= 20140630-5.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA xdg-utils
SUSE Linux Enterprise Server 12 SP2
  • xdg-utils >= 20140630-5.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA xdg-utils
SUSE Linux Enterprise Server 12 SP3
  • xdg-utils >= 20140630-5.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA xdg-utils
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • xdg-utils >= 20140630-5.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA xdg-utils
SUSE Linux Enterprise Server for SAP Applications 12
  • xdg-utils >= 20140630-5.1
Patchnames:
SUSE-SLE-SERVER-12-2015-68


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 xdg-utils Not affected
SUSE Linux Enterprise Desktop 11 SP3 xdg-utils Not affected
SUSE Linux Enterprise Desktop 12 GA xdg-utils Released
SUSE Linux Enterprise Server 11 SP2 xdg-utils Not affected
SUSE Linux Enterprise Server 11 SP2 LTSS xdg-utils Not affected
SUSE Linux Enterprise Server 11 SP3 xdg-utils Not affected
SUSE Linux Enterprise Server 12 GA xdg-utils Released
SUSE Linux Enterprise Server for VMWare 11 SP2 xdg-utils Not affected
SUSE Linux Enterprise Server for VMWare 11 SP3 xdg-utils Not affected